> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siftd.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workspace

> Get a specific notebook by ID



## OpenAPI

````yaml GET /workspaces/{workspace_id}
openapi: 3.0.0
info:
  description: API For SiftD Platform Intelligence Notebooks(SPIN)
  title: SPIN Server API
  contact: {}
  version: '1.0'
servers:
  - url: https://s-server-demo.siftd.ai/api
security:
  - bearerAuth: []
paths:
  /workspaces/{workspace_id}:
    get:
      tags:
        - workspaces
      summary: Get notebook
      description: Get a specific notebook by ID
      parameters:
        - description: Organization ID
          name: org_id
          in: query
          required: true
          schema:
            type: string
        - description: Workspace ID
          name: workspace_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.Workspace'
        '404':
          description: workspace not found
components:
  schemas:
    models.Workspace:
      description: >-
        A workspace within an organization.  All connections, notebooks, and
        sessions belong to a workspace.
      type: object
      properties:
        current_user_role:
          type: string
        name:
          type: string
        parent_workspace_id:
          type: string
        workspace_id:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````